View Issue Details

IDProjectCategoryView StatusLast Update
0002586libextractorpluginspublic2013-06-29 22:15
ReporterbrataoAssigned Tobratao 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformW32OSWindowsOS Version8
Product Version1.0.0 
Target Version1.1Fixed in Version1.1 
Summary0002586: archive_extractor crashs when opening .lnk files
DescriptionWhen opening shortcuts , the archive plugin crashes.

Attached an patch to fix the issue (on libextractor, the libarchive should opened it anyway)
TagsNo tags attached.

Activities

bratao

2012-10-10 20:12

developer  

archive_extractor.c.patch (568 bytes)
Index: archive_extractor.c
===================================================================
--- archive_extractor.c	(revision 24256)
+++ archive_extractor.c	(working copy)
@@ -101,7 +101,9 @@
   a = archive_read_new ();
   archive_read_support_compression_all (a);
   archive_read_support_format_all (a);
-  archive_read_open2 (a, ec, NULL, &read_cb, &skip_cb, NULL);
+  if(archive_read_open2 (a, ec, NULL, &read_cb, &skip_cb, NULL)!= ARCHIVE_OK)
+	return;
+	
   while (ARCHIVE_OK == archive_read_next_header(a, &entry))
     {
       if ( (NULL == format) &&

Christian Grothoff

2012-10-11 09:21

manager   ~0006435

Fixed in SVN 24261.

Issue History

Date Modified Username Field Change
2012-10-10 20:12 bratao New Issue
2012-10-10 20:12 bratao File Added: archive_extractor.c.patch
2012-10-11 09:21 Christian Grothoff Note Added: 0006435
2012-10-11 09:21 Christian Grothoff Status new => resolved
2012-10-11 09:21 Christian Grothoff Fixed in Version => current SVN
2012-10-11 09:21 Christian Grothoff Resolution open => fixed
2012-10-11 09:21 Christian Grothoff Assigned To => bratao
2012-10-11 09:21 Christian Grothoff Product Version => 1.0.0
2012-10-11 09:21 Christian Grothoff Target Version => current SVN
2013-06-25 16:15 Christian Grothoff Fixed in Version current SVN => 1.1
2013-06-25 16:15 Christian Grothoff Target Version current SVN => 1.1
2013-06-29 22:15 Christian Grothoff Status resolved => closed